vifn(1)

NAME
vifn - edit by function name rather than file name, uses vi

SYNOPSIS
vifn [filename/]function-name [...]

DESCRIPTION
vifn is a crude script which uses output from pmccabe(1) to allow editing by function name rather than file name. When duplicate function names exist in more than one file, vifn cycles through each one. Use filename/ when multiple files contain identically-named functions and you know the one you want.

BUGS
vifn uses the file "pmccabe.out" in the current directory, or creates it if not found by running pmccabe on files in the current directory. Maybe this isn't really a bug, but it could be better.

vifn does not use the $EDITOR environment variable only because there are editors which misunderstand vi's +line convention for starting the editor positioned at a specific line.

AUTHOR
Paul Bame

SEE ALSO
pmccabe(1)